using RangeSlider;
using RangeSliderSample.Droid;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: ExportRenderer(typeof(RangeSliderSample.RangeSlider), typeof(RangeSliderRenderer))]
namespace RangeSliderSample.Droid
{
	public class RangeSliderRenderer : ViewRenderer
	{
		private RangeSliderView _slider;
		
		protected override void OnElementChanged(ElementChangedEventArgs<View> e)
		{
			base.OnElementChanged(e);

			var rangeSlider = e.NewElement as RangeSlider;

			if (rangeSlider != null)
			{
				_slider = new RangeSliderView(Context, rangeSlider.MinValue, rangeSlider.MaxValue, rangeSlider.Step);

				_slider.LeftValueChanged += value =>
				{
					rangeSlider.LeftValue = _slider.LeftValue;
				};

				_slider.RightValueChanged += value =>
				{
					rangeSlider.RightValue = _slider.RightValue;
				};

				SetNativeControl(_slider);
			}
		}
	}
}