﻿using Xamarin.Forms;

namespace RangeSliderSample
{
	public class RangeSlider : View
	{
		public static readonly BindableProperty LeftValueProperty =
			BindableProperty.Create<RangeSlider, float>(p => p.LeftValue, 0f);

		public float LeftValue
		{
			get { return (float) GetValue(LeftValueProperty); }
			set { SetValue(LeftValueProperty, value); }
		}

		public static readonly BindableProperty RightValueProperty =
			BindableProperty.Create<RangeSlider, float>(p => p.RightValue, 0f);

		public float RightValue
		{
			get { return (float) GetValue(RightValueProperty); }
			set { SetValue(RightValueProperty, value); }
		}

		public static readonly BindableProperty MaxValueProperty =
			BindableProperty.Create<RangeSlider, float>(p => p.MaxValue, 1f);

		public float MaxValue
		{
			get { return (float) GetValue(MaxValueProperty); }
			set { SetValue(MaxValueProperty, value); }
		}

		public static readonly BindableProperty MinValueProperty =
			BindableProperty.Create<RangeSlider, float>(p => p.MinValue, 0f);

		public float MinValue
		{
			get { return (float) GetValue(MinValueProperty); }
			set { SetValue(MinValueProperty, value); }
		}

		public static readonly BindableProperty StepProperty =
			BindableProperty.Create<RangeSlider, float>(p => p.Step, 0f);

		public float Step
		{
			get { return (float) GetValue(StepProperty); }
			set { SetValue(StepProperty, value); }
		}
	}
}
